POST Agents/Configuration/GetWindowPosSizesOnAssociateId
Some tooltip text!
• 3 minutes to read
• 3 minutes to read
POST /api/v1/Agents/Configuration/GetWindowPosSizesOnAssociateId
Gets the window and dialog position and size settings belonging to the specified associate
NsApiSlow threshold: 5000 ms.
Query String Parameters
| Parameter Name | Type | Description |
|---|---|---|
| $select | string | Optional comma separated list of properties to include in the result. Other fields are then nulled out to reduce payload size: "Name,department,category". Default = show all fields. |
POST /api/v1/Agents/Configuration/GetWindowPosSizesOnAssociateId?$select=name,department,category/id
Request Headers
| Parameter Name | Description |
|---|---|
| Authorization | Supports 'Basic', 'SoTicket' and 'Bearer' schemes, depending on installation type. |
| X-XSRF-TOKEN | If not using Authorization header, you must provide XSRF value from cookie or hidden input field |
| Content-Type | Content-type of the request body: application/json, text/json, application/xml, text/xml, application/x-www-form-urlencoded, application/json-patch+json, application/merge-patch+json |
| Accept | Content-type(s) you would like the response in: application/json, text/json, application/xml, text/xml, application/json-patch+json, application/merge-patch+json |
| Accept-Language | Convert string references and multi-language values into a specified language (iso2) code. |
| SO-Language | Convert string references and multi-language values into a specified language (iso2) code. Overrides Accept-Language value. |
| SO-Culture | Number, date formatting in a specified culture (iso2 language) code. Partially overrides SO-Language/Accept-Language value. Ignored if no Language set. |
| SO-TimeZone | Specify the timezone code that you would like date/time responses converted to. |
| SO-AppToken | The application token that identifies the partner app. Used when calling Online WebAPI from a server. |
Request Body: request
AssociateId
| Property Name | Type | Description |
|---|---|---|
| AssociateId | Integer |
Response:array
OK
| Response | Description |
|---|---|
| 200 | OK |
Response body: array
| Property Name | Type | Description |
|---|---|---|
| OwnerWindow | string | |
| PersonId | int32 | |
| AssociateId | int32 | |
| ExtraId | int32 | |
| ExtraInfo | string | |
| Height | int32 | |
| LeftX | int32 | |
| State | string | |
| UpperY | int32 | |
| Width | int32 | |
| WindowPosSizeId | int32 | |
| TableRight | TableRight | The carrier's table right |
| FieldProperties | object | Field property dictionary mapping field names to field access rights. |
Sample request
POST /api/v1/Agents/Configuration/GetWindowPosSizesOnAssociateId
Authorization: Basic dGplMDpUamUw
Accept: application/json; charset=utf-8
Accept-Language: en
Content-Type: application/json; charset=utf-8
{
"AssociateId": 212
}
Sample response
HTTP/1.1 200 OK
Content-Type: application/json; charset=utf-8
[
{
"OwnerWindow": "MainWindow",
"PersonId": 143,
"AssociateId": 143,
"ExtraId": 0,
"ExtraInfo": "",
"Height": 900,
"LeftX": 0,
"State": "Maximized",
"UpperY": 0,
"Width": 1920,
"WindowPosSizeId": 1200,
"TableRight": null,
"FieldProperties": {
"fieldName": {
"FieldRight": null,
"FieldType": "System.Int32",
"FieldLength": 550
}
}
}
]